<script type="text/javascript">
    $(document).ready(function() {
        toggle_fields = function() {
            var comparison_type = $(".comparison-type").val();
            if(comparison_type == 'custom_value') {
                $(".custom-value").show();
            } else { 
                $(".custom-value").hide();
            }
        }
        $(".comparison-type").bind('change', toggle_fields);
        toggle_fields();
    });
</script>

<fieldset>
    <div class="control-group">
        <label class="control-label required">Threshold</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'threshold',
                'class' => 'span1',
                'value' => set_value('threshold', @$defaults['threshold']))); ?>
            of the last <?php echo form_input(array(
                'name' => 'history_count',
                'class' => 'span1',
                'value' => set_value('history_count', @$defaults['history_count']))); ?>
                action results
            <?php echo form_error('threshold') ?> 
            <?php echo form_error('history_count') ?> 
            <span class="help-inline">
                <?php echo question_tooltip('Threshold are numeric. E.g. 9 of the last 10 action results'); ?>
            </span>
            <span class="help-inline">
            </span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required"><?php echo _('Comparison'); ?></label>
        <div class="controls">
            <select name="comparison_type" class="span4 comparison-type">
                <option value="ok" <?php echo reactor_option_selected('comparison_type', 'ok', $defaults) ?>><?php echo _('Finished successfully'); ?></option>
                <option value="err" <?php echo reactor_option_selected('comparison_type', 'err', $defaults) ?>><?php echo _('Finished with errors'); ?></option>
                <option value="custom_value" <?php echo reactor_option_selected('comparison_type', 'custom_value', $defaults) ?>><?php echo _('Finished with specific code'); ?></option>
            </select>
            <?php echo form_error('comparison_type') ?>
        </div>
    </div>

    <div class="control-group custom-value">
        <label class="control-label required">Exit Code</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'custom_value',
                'class' => 'span2',
                'value' => set_value('custom_value', @$defaults['custom_value']))); ?>
            <?php echo form_error('custom_value') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Enter a specific exit code to check for.'); ?>
            </span>
        </div>
    </div>

</fieldset>
